#!/bin/sh
if [ $# -eq 0 ]; then
    DIR=svntest
else
    DIR="$1"
fi

echo $DIR
mkdir -p "$DIR"
cd "$DIR"
svnadmin create repo || exit $?
svn co "file:///`pwd`/repo" checkout || exit $?
cd checkout || exit $?
echo hello > README.txt || exit $?
svn add README.txt || exit $?
# Next line crashes
svn ci -m "Added README.txt" README.txt || exit $?
